Chame o Kling TTS via CometAPI POST /kling/v1/audio/tts para converter texto em fala com vozes multilíngues, além de correções para erros de voice_id não encontrado.
curl --request POST \
--url https://api.cometapi.com/kling/v1/audio/tts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Welcome to CometAPI!",
"voice_id": "genshin_vindi2",
"voice_language": "zh"
}
'{}voice_id não corresponde a voice_language, a API retornará o seguinte erro:
{
"message": "Voice id not found",
"data": {
"data": {
"code": 1201,
"message": "Voice id not found",
"request_id": "ed47a82c-804b-45f3-bde9-926039cd25c0"
},
"message": "Voice id not found"
}
}
voice_id selecionado seja compatível com o voice_language especificado. Consulte a Lista de Voice ID para verificar quais idiomas cada voice ID suporta.Bearer token authentication. Use your CometAPI key.
Content type of the request body.
Text to synthesize into speech. Max 1000 characters.
Voice preset ID. Determines the speaker voice used for synthesis. See the Kling documentation for available voice IDs and their supported languages.
Language of the selected voice. Must match the language supported by the chosen voice_id. Values: zh (Chinese) or en (English).
Speech rate multiplier. Range 0.8–2.0 (one decimal place). Values outside this range are clamped automatically.
Success
The response is of type object.
curl --request POST \
--url https://api.cometapi.com/kling/v1/audio/tts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Welcome to CometAPI!",
"voice_id": "genshin_vindi2",
"voice_language": "zh"
}
'{}